commit:528f7212ce38031dcc5726acb04ba51192da989a
author:Chip Black
committer:Chip Black
date:Thu Jul 4 13:57:54 2024 -0500
parents:0a98f1b2e36a59ee5ad08e180fb44c85a60f7c60
Upgrade to Hometown v1.1.1
diff --git a/build-mastodon.sh b/build-mastodon.sh
line changes: +14/-14
index cf87a17..c03415d
--- a/build-mastodon.sh
+++ b/build-mastodon.sh
@@ -23,20 +23,20 @@ bastille pkg $JAILNAME install -y $PACKAGES
 bastille cmd $JAILNAME pw user add mastodon -m -h - -s /bin/sh
 
 # Install ruby
-bastille cp $JAILNAME ruby/$RUBY_SOURCE /root/
-RUBY_DIR=$(basename $RUBY_SOURCE .tar.gz)
-jexec -U root $JAILNAME /bin/sh <<SCRIPT
-set -e
-set -x
-cd
-tar xf $RUBY_DIR.tar.gz
-cd $RUBY_DIR
-./configure
-make -j8 install
-cd
-rm -rf $RUBY_DIR $RUBY_DIR.tar.gz
-gem install bundler --no-document
-SCRIPT
+#bastille cp $JAILNAME ruby/$RUBY_SOURCE /root/
+#RUBY_DIR=$(basename $RUBY_SOURCE .tar.gz)
+#jexec -U root $JAILNAME /bin/sh <<SCRIPT
+#set -e
+#set -x
+#cd
+#tar xf $RUBY_DIR.tar.gz
+#cd $RUBY_DIR
+#./configure
+#make -j8 install
+#cd
+#rm -rf $RUBY_DIR $RUBY_DIR.tar.gz
+#gem install bundler --no-document
+#SCRIPT
 
 jexec -U mastodon $JAILNAME <<SCRIPT
 set -e

diff --git a/common.opts b/common.opts
line changes: +3/-3
index fcb1797..6875b78
--- a/common.opts
+++ b/common.opts
@@ -1,5 +1,5 @@
-FREEBSD_RELEASE=13.2-RELEASE
-RUBY_SOURCE=ruby-3.0.6.tar.gz
+FREEBSD_RELEASE=14.0-RELEASE
+RUBY_SOURCE=ruby-3.2.3.tar.gz # currently unused
 
 # mainline
 #MASTODON_REPO="https://github.com/tootsuite/mastodon.git"
@@ -15,4 +15,4 @@ RUBY_SOURCE=ruby-3.0.6.tar.gz
 
 # Awesome Garden Hometown
 MASTODON_REPO="chip@yomiko:git/hometown.git"
-MASTODON_VERSION="awesome-garden-main-8"
+MASTODON_VERSION="awesome-garden-main-9"

diff --git a/pkglist-mastodon.txt b/pkglist-mastodon.txt
line changes: +6/-3
index 7d29449..e81565d
--- a/pkglist-mastodon.txt
+++ b/pkglist-mastodon.txt
@@ -13,10 +13,13 @@ libxml2
 libxslt
 ncurses
 nginx
-node16
-npm-node16
+node18
+npm-node18
 postgresql15-client
 protobuf
 readline
-yarn-node16
+ruby
+ruby32-gems
+rubygem-bundler
+yarn-node18
 zsh